<ul>
 <li *ngFor="let item of collection | paginate: { itemsPerPage: 10, currentPage: p }"> {{item | classify}} </li>
</ul>
            
<pagination-controls (pageChange)="p = $event"></pagination-controls>